Skip to main content
PUT
/
pay_rates
/
{pay_rate}
Update a pay rate
curl --request PUT \
  --url https://sandbox.nmbr.co/services/payroll/pay_rates/{pay_rate} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "Marketing Manager",
  "type": "hourly",
  "rate": "15",
  "expected_hours_per_week": "40",
  "effective_from": "2026-01-01"
}
'
{
  "id": "<id>",
  "object": "pay_rate",
  "data": {
    "work_assignment": {
      "id": "<id>",
      "object": "work_assignment",
      "links": {
        "self": "/work_assignments/<id>"
      }
    },
    "title": "Marketing Manager",
    "title_translations": null,
    "title_translated": "Marketing Manager",
    "type": "hourly",
    "rate": 15,
    "expected_hours_per_week": 40,
    "is_editable": true,
    "is_deletable": true,
    "effective_from": "2026-01-01",
    "earliest_valid_effective_to": "2026-01-01",
    "effective_to": null,
    "business_preset": null,
    "expense_accounting_code": null,
    "liability_accounting_code": null,
    "external_ref": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/pay_rates/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

pay_rate
string
required

Body

application/json
business_preset_id
string
title
string | null
Maximum string length: 255
title_translations
object

Optional translations for the title property.

type
enum<string>

Whether this is a salary or hourly pay rate. Determines how rate is interpreted.

Editing is prevented when is_editable is false

Available options:
hourly,
salary
rate
number<decimal>

The annual salary when type is salary, or the hourly wage when type is hourly.

For salary pay rates, rate is the annual salary (i.e. amount per year). For wage pay rates, rate is the hourly wage (i.e. amount per hour).

Editing is prevented when is_editable is false

Required range: 0 <= x <= 9999999
expected_hours_per_week
number<decimal>

The expected number of working hours per week. Must be greater than 0 for salary pay rates. Used to calculate the equivalent hourly rate from salaries for overtime.

For salary pay rates, expected_hours_per_week must be greater than 0.

Editing is prevented when is_editable is false

Required range: 0 <= x <= 168
effective_from
string<date>

The date from which this pay rate is applied to Pay Stubs.

Editing is prevented when is_editable is false

effective_to
string

The date after which this pay rate is no longer applied and can no longer be used to create Earning Line Items. null if the pay rate applies indefinitely.

The date must be after the period_end of the most recent non-draft payroll.

expense_accounting_code_id
string
liability_accounting_code_id
string
external_ref
string
Maximum string length: 255
tag_assignment
object

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("pay_rate").

data
Pay Rate · object